Update advertiser Seller activation preference
curl --request PUT \
--url https://api.interchange.io/api/v2/buyer/storefronts/{storefrontId}/advertisers/{advertiserId}/activation-preference \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.interchange.io/api/v2/buyer/storefronts/{storefrontId}/advertisers/{advertiserId}/activation-preference"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.interchange.io/api/v2/buyer/storefronts/{storefrontId}/advertisers/{advertiserId}/activation-preference', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"buyerCustomerId": 4503599627370495,
"advertiserId": "<string>",
"storefrontId": "<string>",
"decision": "DEFAULT"
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefronts
Update advertiser Seller activation preference
Set one advertiser to Enabled or Disabled for an exact Seller, or return it to inherited Default, without changing account-wide selection. Requires ADMIN role on the current buyer account.
PUT
/
storefronts
/
{storefrontId}
/
advertisers
/
{advertiserId}
/
activation-preference
Update advertiser Seller activation preference
curl --request PUT \
--url https://api.interchange.io/api/v2/buyer/storefronts/{storefrontId}/advertisers/{advertiserId}/activation-preference \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.interchange.io/api/v2/buyer/storefronts/{storefrontId}/advertisers/{advertiserId}/activation-preference"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.interchange.io/api/v2/buyer/storefronts/{storefrontId}/advertisers/{advertiserId}/activation-preference', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"buyerCustomerId": 4503599627370495,
"advertiserId": "<string>",
"storefrontId": "<string>",
"decision": "DEFAULT"
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Buyer advertiser ID
Pattern:
^[1-9]\d*$Storefront ID
Pattern:
^[1-9]\d*$Body
application/json
Advertiser-specific seller activation preference. DEFAULT removes the preference and inherits account selection.
Available options:
DEFAULT, ENABLED, DISABLED Response
Update advertiser Seller activation preference
Current advertiser-specific seller activation preference after the update.
Required range:
0 < x <= 9007199254740991Pattern:
^[1-9]\d*$Pattern:
^[1-9]\d*$Advertiser-specific seller activation preference. DEFAULT removes the preference and inherits account selection.
Available options:
DEFAULT, ENABLED, DISABLED